---
- name: Create config directory
  file:
    path: ~/.config/glow/styles
    state: directory
    mode: 0755

- name: Copy themes
  copy:
    src: '{{ item }}'
    dest: ~/.config/glow/styles
    force: yes
    mode: 0644
  loop:
    - nord.json
    - onedark.json

- name: Copy config
  template:
    src: glow.j2
    dest: ~/.config/glow/glow.yml
    force: yes
    mode: 0644
